SingleTestClass (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.junitlauncher.confined, class: SingleTestClass

Package org.apache.tools.ant.taskdefs.optional.junitlauncher.confined

# Class SingleTestClass

java.lang.Object
org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition
org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.SingleTestClass

All Implemented Interfaces:
  `NamedTest`

    public class SingleTestClass
    extends TestDefinition
    implements NamedTest

Represents the single `test` (class) that's configured to be launched by the `JUnitLauncherTask`

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition

  `excludeEngines, failureProperty, forkDefinition, haltOnFailure, ifProperty, includeEngines, listeners, outputDir, unlessProperty`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SingleTestClass()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static TestDefinition` | `fromForkedRepresentation​(javax.xml.stream.XMLStreamReader reader)` |
  `java.lang.String[]` | `getMethods()` |
  `java.lang.String` | `getName()` |
  `void` | `setMethods​(java.lang.String methods)` |
  `void` | `setName​(java.lang.String test)` |
  `protected void` | `toForkedRepresentation​(JUnitLauncherTask task, javax.xml.stream.XMLStreamWriter writer)` |

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition

  `addConfiguredListener, createFork, getExcludeEngines, getFailureProperty, getIncludeEngines, getListeners, getOutputDir, isHaltOnFailure, setExcludeEngines, setFailureProperty, setHaltOnFailure, setIf, setIncludeEngines, setOutputDir, setUnless, shouldRun`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SingleTestClass

    public SingleTestClass()

- ## Method Details

  - ### setName

    public void setName​(java.lang.String test)

  - ### getName

    public java.lang.String getName()
    Specified by:
      `getName` in interface `NamedTest`
    Returns:
      Returns the name of the test

  - ### setMethods

    public void setMethods​(java.lang.String methods)

  - ### getMethods

    public java.lang.String[] getMethods()

  - ### toForkedRepresentation

    protected void toForkedRepresentation​(JUnitLauncherTask task, javax.xml.stream.XMLStreamWriter writer) throws javax.xml.stream.XMLStreamException
    Specified by:
      `toForkedRepresentation` in class `TestDefinition`
    Throws:
      `javax.xml.stream.XMLStreamException`

  - ### fromForkedRepresentation

    public static TestDefinition fromForkedRepresentation​(javax.xml.stream.XMLStreamReader reader) throws javax.xml.stream.XMLStreamException
    Throws:
      `javax.xml.stream.XMLStreamException`